/**
* <p>Абстрактный класс Person</p>
* */
abstract public class Person {
    public abstract String getDescription();

    private String name;

    /**
    * <p>Конструктор класса Person</p>
    * @param name Имя человека
    * */
    public Person(String name) {
        this.name = name;
    }

    /**
    * <p>Функция возвращает имя человека</p>
    * @return Имя человека
    * */
    public String getName() {
        return name;
    }
}
