/**
* <p>Класс Student, который наследуется от класса Person</p>
* */
public class Student extends Person {
    private String major;

    /**
    * <p>Конструктор класса Student</p>
    * <p>Вначале происходит вызов конструтор класса родителя для записи имени студента</p>
    * @param name Имя студента
    * @param major Профилирующий предмет
    * */
    public Student(String name, String major) {
        super(name);
        this.major = major;
    }

    /**
    * <p>Функция предоставляет отчет - какой профилирующий предмет студента</p>
    * @return Отчет о профилирующим предмете студента
    * */
    @Override
    public String getDescription() {
        return "a student majoring in " + major;
    }
}
